Create a post
curl --request POST \
--url https://api.sleekplan.com/v1/post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"type": "<string>",
"description": "<string>",
"status": "<string>",
"user": 123,
"created": "2024-01-01 00:00:00"
}
'import requests
url = "https://api.sleekplan.com/v1/post"
payload = {
"title": "<string>",
"type": "<string>",
"description": "<string>",
"status": "<string>",
"user": 123,
"created": "2024-01-01 00:00:00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
type: '<string>',
description: '<string>',
status: '<string>',
user: 123,
created: '2024-01-01 00:00:00'
})
};
fetch('https://api.sleekplan.com/v1/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": {
"feedback_id": 123,
"message": "<string>"
}
}Post
Create a post
POST
/
post
Create a post
Authorizations
BearerAuthBasicAuthApiKeyQuery
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Post title. Plain text only.
Category ID to assign to this post. Every post must have a category.
Post description. Plain text or Markdown — never HTML.
Status ID. Defaults to "open".
End-user ID to create the post on behalf of a user.
Creation date in YYYY-MM-DD HH:ii:ss. Must be now or in the past.
Example:
"2024-01-01 00:00:00"
Was this page helpful?
⌘I
